Skip to main content
POST
/
projects
/
{name}
/
create
Create Project
curl --request POST \
  --url https://api.advancedwebranking.com/v3/projects/{name}/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    {
      "name": "my first keyword"
    },
    {
      "name": "my second keyword"
    }
  ],
  "searchengines": [
    {
      "name": "google",
      "country": "US",
      "location": "San Francisco, CA",
      "language": "en",
      "se_type": "desktop universal"
    }
  ],
  "websites": [
    {
      "name": "mydomain.com",
      "aliases": "*.mydomain.com",
      "index": 1,
      "color_r": 0,
      "color_g": 0,
      "color_b": 255,
      "pages": []
    }
  ]
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

Query Parameters

frequency
enum<string>
Available options:
ondemand,
daily,
weekly
country
enum<string>
Available options:
US,
UK,
DE,
FR,
IT,
JP,
RO,
ES,
GR,
BE,
MT,
NL,
TH,
AU,
SE,
SG,
AR,
IN,
ID,
CA,
BR,
DK,
MX,
RU,
KR,
BH,
CY,
EG,
AE,
IL,
JO,
KW,
LB,
OM,
QA,
SA,
TR,
AT,
CH,
HU,
NZ,
CZ,
PH,
MY,
IE,
ZA,
CO,
DO,
FI,
RS,
ME,
BA,
HR,
PL,
PT,
TW,
PE,
CL,
VE,
MA,
NO,
SI,
SK,
LV,
UA,
PR,
BO,
CR,
EE,
LU,
LT,
BG,
GT,
HN,
NG,
KE,
UG,
MU,
GH,
BD,
LK,
VN,
IS,
EC,
UY,
KZ,
LY,
PK,
CI,
TZ,
CD,
PA,
ZM,
MD,
BY,
SV,
NI,
PY,
BW,
ZW,
AO,
MZ,
CM,
ET,
AZ,
KH,
NP,
RW,
SN,
TN,
MM,
DZ,
JM,
GA,
GE,
PG,
IM,
BN,
TG,
BT,
BJ,
BF,
GM,
BI,
LA,
GG,
JE,
MN,
IQ,
PS,
FJ,
AF,
ML,
NE,
MV,
DJ,
GP,
AL,
LS,
AS,
FM,
GL,
LI,
MS,
MW,
PN,
SH,
SM,
UZ,
TD,
VG,
CV,
VC,
DM,
MK,
KG,
TJ,
TM,
MG,
NA,
SC,
BS,
BZ,
GI,
AM,
AG,
AD,
CU,
TT
depth
string
teamaccess
string

Body

application/json

Project configuration for creating a new AWR project

keywords
object[]
required

List of keywords to track

searchengines
object[]
required

List of search engines to track rankings on

websites
object[]
required

List of websites to track

Response

Project created successfully